IgnoreObjectMethodsDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.IgnoreObjectMethodsDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class IgnoreObjectMethodsDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.generic.ParentDefinitionParser
                      org.mule.config.spring.parsers.specific.IgnoreObjectMethodsDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class IgnoreObjectMethodsDefinitionParser

extends ParentDefinitionParser

Field Summary
`static String` | `IGNORED_METHOD`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`IgnoreObjectMethodsDefinitionParser()`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.generic.ParentDefinitionParser
`getBeanClass, parseInternal, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getParentBeanName, getTargetPropertyConfiguration, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, doParse, getBeanAssemblerFactory, getBeanClassFromAttribute, getBeanName, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### IGNORED_METHOD

    public static final String IGNORED_METHOD

See Also:
  Constant Field Values

Constructor Detail

### IgnoreObjectMethodsDefinitionParser

    public IgnoreObjectMethodsDefinitionParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.